Bug 10489 - не работает проявка RAW
: не работает проявка RAW
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kipi-plugins)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-23 13:39 by
Modified: 2007-08-29 17:03 (History)


Attachments
kipi-plugins-0.1.2-dcraw.patch (689 bytes, patch)
2006-12-29 16:53, led@altlinux.org
no flags Details | Diff
kipi-plugins-0.1.2-makefile.patch (1.51 KB, patch)
2006-12-29 16:54, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-12-23 13:39:04
сервис/raw image converter

На нормальное RAW изображение говорит Failed to generate preview
И Failed to convert image

digikam-0.9.0-alt1
------- Comment #1 From 2006-12-23 13:39:55 -------
reassign
------- Comment #2 From 2006-12-23 13:40:24 -------
2led: могу тебе выложить NEF, если очень нужно
------- Comment #3 From 2006-12-25 12:38:26 -------
(In reply to comment #2)
Выложи, пожалуйста.
------- Comment #4 From 2006-12-25 15:25:03 -------
http://www.altlinux.ru/~rider/DSC_1402.NEF

примерно 5Mb.
------- Comment #5 From 2006-12-25 15:49:26 -------
(In reply to comment #4)
Вижу, подтверждаю. В то же время если кликнуть для открытия в showphoto, то 
конвертирует...

------- Comment #6 From 2006-12-25 16:04:38 -------
с showfoto тоже есть непринятности.

В частности - если запустить отдельно от Digikam, то появляется много всего..
запуская из digikam - не видно плагинов (например убирания шумов).
------- Comment #7 From 2006-12-25 16:11:45 -------
(In reply to comment #6)
> В частности - если запустить отдельно от Digikam, то появляется много всего..

Пакет digikam-image-plugins установлен и в Настройках плагины активизированы?

> запуская из digikam - не видно плагинов (например убирания шумов).

Странно, у меня видно: "Коррекция" -> "Подавление шума"
------- Comment #8 From 2006-12-25 16:35:26 -------
о.. действительно всё было выключено 

а отчего так ?
------- Comment #9 From 2006-12-25 16:42:31 -------
(In reply to comment #8)
> а отчего так ?

Так задумано:) Какая-то логика в этом есть: плагины обнаружены, но не 
подключены по-умолчанию, можно включить только те, которые действительно 
необходимы (чем меньше плагинов "включено", тем быстрее стартует digikam. 
Можно, конечно попытаться похакать, чтобы по-умолчанию всё было включено, но я 
не уверен, что это будет "только так правильно" - просто будет другая точка 
зрения...
------- Comment #10 From 2006-12-25 18:17:47 -------
ну по минимуму хотелось бы подключить часть плагинов, ибо про них можно просто
не узнать.

а лучше конечно подключать все, на то они и плагины, что бы подключались после
установки.
------- Comment #11 From 2006-12-25 18:57:59 -------
(In reply to comment #10)

Заведи по этому пункту отдельный фичреквест (на больше это не тянет), с 
предлагаемым минимальным списком плагинов, включаемых автоматом по-умолчанию. Я 
знаю многих пользователей, которые вобще плагинами к digikam не пользуются - 
даже соответствующий пакет не ставят:).


------- Comment #12 From 2006-12-28 21:11:46 -------
(In reply to comment #0)
> сервис/raw image converter

В этом случае для конвертации используется kipi-плагин. kipi-plugins у нас 
довольно древний (0.1rc1), текущий stable - 0.1.2. Но и с ним тоже не работает 
(насколько я понял, из-за того, что плагин предполагает значительно более 
старую версию dcraw, чем имеется в Sisyphus). Почти уверен, что 0.1.3 (который 
сейчас в апстриме в состоянии rc1) будет работать корректно без патчей.
Предлагаю перевесить багрепорт на пакет kipi-plugins с CC: led@ (у положу туда 
же патч для 0.1.2, который позволит работать с текущим dcraw).
Кроме этого, вместо "сервис/raw image converter" можно использовать 
сервис/Пакетная обработка/raw image converter" в этом случае используется 
digikam-плагин, который корректно работает с текущим dcraw.
Исходя из вышесказанного, предлагаю закрыть данный баг на digikam, как не 
имеющий прямого отношения к digikam (RAW-конвертация средствами digikam (а 
точнее - средствами пакета digikam-image-plagins) работает нормально)
------- Comment #13 From 2006-12-29 10:07:53 -------
reassign
------- Comment #14 From 2006-12-29 16:53:18 -------
Created an attachment (id=1738) [details]
kipi-plugins-0.1.2-dcraw.patch

Патч для kipipligins-0.1.2 для исправления работы с текущим dcraw
------- Comment #15 From 2006-12-29 16:54:29 -------
Created an attachment (id=1739) [details]
kipi-plugins-0.1.2-makefile.patch

ещё один патч: без него один из плагинов не собирается
------- Comment #16 From 2007-04-06 16:39:04 -------
Что-то изменилось ?
------- Comment #17 From 2007-08-14 19:01:26 -------
мантейнеру
------- Comment #18 From 2007-08-14 19:02:15 -------
мантейнеру
------- Comment #19 From 2007-08-17 11:52:07 -------
что с kipi-plugins-0.1.4, там dcraw-8.60
------- Comment #20 From 2007-08-27 13:14:09 -------
ping
------- Comment #21 From 2007-08-27 15:50:54 -------
(In reply to comment #20)

Предпросмотр и конвертирование в JPEG вроде работает уже
------- Comment #22 From 2007-08-27 15:51:34 -------
fixed